Subject: bug#53629: 27.1: add option to change face `mode-line-buffer-id` when mode-line is inactive

From: José Júnior <[email-masked]>
Date: Fri, 4 Feb 2022 23:03:01 -0300

Thanks martin, but it seems that the behavior did not change. Any ideas?

On Fri, Feb 4, 2022 at 6:58 AM martin rudalics <[email-masked]> wrote:

>  > Thanks, Lars. I tried this approach and it's almost perfect. The only
> thing
>  > I noticed is that when I use M-x or C-s, and the focus is on the echo
> area,
>  > the last active buffer (the one I was before pressing M-x or C-s)
> doesn't
>  > use the `mode-line-buffer-id-active` face.
>
> Instead of
>
>  >>                        (if (eq (selected-window)
>  >>                                      (old-selected-window))
>
> try
>
> (if (memq (selected-window) `(,(old-selected-window)
> ,(minibuffer-selected-window)))
>
> martin
>